org.codehaus.plexus.component.discovery

## Class AbstractResourceBasedComponentDiscoverer

- java.lang.Object
- - org.codehaus.plexus.component.discovery.AbstractResourceBasedComponentDiscoverer

All Implemented Interfaces:
  ComponentDiscoverer

Direct Known Subclasses:
  DefaultComponentDiscoverer, PlexusXmlComponentDiscoverer

    public abstract class AbstractResourceBasedComponentDiscoverer
    extends java.lang.Object
    implements ComponentDiscoverer

Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`AbstractResourceBasedComponentDiscoverer()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract ComponentSetDescriptor` `createComponentDescriptors(java.io.Reader reader, java.lang.String source, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`java.util.List<ComponentSetDescriptor>` `findComponents(Context context, org.codehaus.plexus.classworlds.realm.ClassRealm realm)`
`protected abstract java.lang.String` `getComponentDescriptorLocation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractResourceBasedComponentDiscoverer

    public AbstractResourceBasedComponentDiscoverer()

### Method Detail

#### getComponentDescriptorLocation

    protected abstract java.lang.String getComponentDescriptorLocation()

#### createComponentDescriptors

    protected abstract ComponentSetDescriptor createComponentDescriptors(java.io.Reader reader,
                                                                         java.lang.String source,
                                                                         org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                                                                  throws PlexusConfigurationException

Throws:
  `PlexusConfigurationException`

#### findComponents

    public java.util.List<ComponentSetDescriptor> findComponents(Context context,
                                                                 org.codehaus.plexus.classworlds.realm.ClassRealm realm)
                                                          throws PlexusConfigurationException

Specified by:
  `findComponents` in interface `ComponentDiscoverer`
Throws:
  `PlexusConfigurationException`